<?php
define('IN_COPPERMINE', true);
/**
* Gavick Image Slider
* @Copyright (C) 2007 Gavick.com
* @ All rights reserved
* @version $Revision: 1.0 $
* Adapted for Coppermine by Marius M.
* See at work here: http//www.desktop-wallpapers.ro/
**/


// getting slider variables
$height = '300px'; // default intermediate height in Coppermine
$width = '400px'; // default intermediate width in Coppermine
$limit = 15; // how many pics to show
$anim_type = 1; // 1-Opacity, 2-Slide up, 3-Slide up with bounce, 4-Slide down, 5-Slide down with bounce, 6-Slide left, 7-Slide left with bounce, 8-Slide right, 9-Slide right with bounce, 10-No effect
$anim_speed = 5000; // Time between animations (ms)
$play_onstart = 1; // Auto start animation when page is loaded; 0-disabled, 1-enabled 
$prev_position = 1;
$next_position = 3;
$play_position = 4;
$paginate_position = 2;
$img_load_type = 0; // default=0, don't change! *Image load type: 0-Load with page, 1-Stream load(stream load method loading images before moment when they need, not working, needs some improvements)

// variables validation

# Height
if(stripos($height,'px') === false){ // if using php4.x.x, change "stripos" to "strpos"
	$height = '300px';
}

# Width
if(stripos($width,'px') === false){
	$width = '400px';
}

# Animation Interval
if($anim_speed < 4000){
	$anim_speed = 4000;
}

# Buttons
if(	($prev_position === $next_position || 
	$prev_position === $play_position ||
	$prev_position === $paginate_position ||
	$next_position === $play_position ||
	$next_position === $paginate_position ||
	$play_position === $paginate_position) ){
		
	$prev_position = 1;
	$paginate_position = 2;
	$next_position = 3;
	$paginate_position = 4;	
}
echo '<div class="imageslider clearfix"><div class="imageslider-innerpad">';
echo '<div style="position:relative; width:100%; overflow:hidden;" class="imageslider_img_full">';
	echo '<div id="features"></div>';
echo '<div id="gk_imageslider" style="height: '.$height.';width: '.$width.'">
	  <div id="gk_is_flex_content">';

$style = 'style="width: '.$width.';height: '.$height.';"';

// iteration variable
$image_count = 1;

$paths_array = '';
$ids_array = '';
$alts_array = '';

// request of your database
$query = "SELECT * FROM {$CONFIG['TABLE_PICTURES']} ORDER BY RAND() LIMIT $limit";
// result of request
$result = cpg_db_query($query);
// For reading result
$rowset = array();
// Index of tab
$image_count = 1;
// max height : will be 75px or 100px
$max_height=1;
// For each pic.....building javascript in php
while($row = mysql_fetch_array($result)){
	// reading pid of pic
	$key=$row['pid'];

	// path of pic
	$path = "albums/".$row['filepath'];
	$file="normal_".$row['filename'];

	// building code
				if($img_load_type == 0){
					
					echo '<a href="displayimage.php?album=random&cat=0&pos=-'.$key.'"><img src="'.$path.$file.'" '.$style.' id="gk_is-'.$image_count.'" alt="'.$image_count.'" title="'.$image_count.'" border=0 /></a>';
					$image_count++;
					
				}
/*				else{
					if($image_count == 1){
						echo '<img src="'.$path.$file.'" '.$style.' id="gk_is-'.$image_count.'"  alt="'.$image_count.'" />';
						$paths_array .= '\''.$path.$file.'\'';
						$ids_array .= '\'gk_is-'.$image_count.'\'';
						$alts_array .= '\''.$image_count.'\'';
						$loaded_array .= 'true';
					}
					else{
						echo '<img src="#" '.$style.' id="gk_is-'.$image_count.'"  alt="'.$image_count.'" />';
					
						if($image_count >= 2){
							$paths_array .= ',\''.$path.$file.'\'';
						}
						
						if($image_count >= 2){
							$ids_array .= ',\'gk_is-'.$image_count.'\'';
						}

						if($image_count >= 2){
							$alts_array .= ',\''.$image_count.'\'';
						}
						
						if($image_count >= 2){
							$loaded_array .= ',false';
						}
					}
					$image_count++;
				}
*/
}
// free memory
mysql_free_result($result);
echo '</div></div>';


// prev and next buttons
$prev = '<a href="#" id="previous_button" title="Previous image"></a>';
$next = '<a href="#" id="next_button" title="Next image"></a>';
// play/pause button
($play_onstart == 1) ? $play = '<a href="#" id="pause_button" title="Stop slideshow"></a>' : $play = '<a href="#" id="play_button" title="Start slideshow"></a>';
// paginations buttons
$i = 1;

while($i < $image_count){
	$pagination .= '<a href="#" class="pagination-button" rel="'.$i.'" id="pagination-button-'.$i.'" title="Show image #'.$i.'">'.$i.'</a>';
	$i++;
}
// generate player panel buttons
$player = '';

if($prev_position == 1)$player .= $prev;
if($paginate_position == 1)$player .= $pagination;
if($next_position == 1)$player .= $next;
if($play_position == 1)$player .= $play;

if($prev_position == 2)$player .= $prev;
if($paginate_position == 2)$player .= $pagination;
if($next_position == 2)$player .= $next;
if($play_position == 2)$player .= $play;

if($prev_position == 3)$player .= $prev;
if($paginate_position == 3)$player .= $pagination;
if($next_position == 3)$player .= $next;
if($play_position == 3)$player .= $play;

if($prev_position == 4)$player .= $prev;
if($paginate_position == 4)$player .= $pagination;
if($next_position == 4)$player .= $next;
if($play_position == 4)$player .= $play;

if($img_load_type == 1){
	$ajax_jso = 'gk_im_image_conf = {paths: ['.$paths_array.'],ids: ['.$ids_array.'],alts: ['.$alts_array.'],loaded: ['.$loaded_array.']}';
}
else{
	$ajax_jso = '';
}

$image_count -= 1;

if($img_load_type == 1){
	$loader = '<div id="small_loader_block"><img src="imageslider/loader_mini.gif" id="small_loader" alt="loader_mini" /></div>';
}
else{
	$loader = '';
}

echo '<div id="gk_imageslider_player" style="width: '.$width.';">'.$loader.'<div id="gk_player_buttons">'.$player.'</div></div>';
echo '</div>';
echo '</div></div>';
echo '<script type="text/javascript" src="imageslider/mod_gk_imageslider.js"></script>';
echo '<script type="text/javascript">
	animation_type = '.$anim_type.';
	animation_interval = '.$anim_speed.';
	play_onstart = '.$play_onstart.';
	path = "'.$path.'";
	anim_load_type = '.$img_load_type.';
	'.$ajax_jso.'
	window.addEvent(\'load\',function(){gk_image_slider_init();});
</script>';

?>